Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.qminder.com/llms.txt

Use this file to discover all available pages before exploring further.

Line changed

This HTTP request is sent to the registered URL every time a Line was changed in Qminder.
POST /webhooks HTTP/1.1
X-Qminder-Signature: SIGNATURE
Content-Type: application/json

{
  "type": "line_changed",
  "data": {
    "id": 12345,
    "name": "Registration"
  }
This HTTP request includes the following data fields in its request body:
Field nameData typeDescription
type”line_changed”Always “line_changed” for the Line Changed event
data.idnumberThe ID of the line that has changed
data.namestringThe name of the line that has changed. If the line’s name has changed, this value is the new name.